{% extends '/communicationAlt_client/fr/email/notification/base.html.twig' %}
{% block body %}
{% set ad = context.ad %}
{% set recipient = context.user %}
{% set sender = context.sender %}
{% set result = context.result %}
{% set outwardOrigin = context.outwardOrigin %}
{% set outwardDestination = context.outwardDestination %}
{% set returnOrigin = context.returnOrigin %}
{% set returnDestination = context.returnDestination %}

<div style="background-color:transparent;">
    <div class="block-grid mixed-two-up"
         style="Margin: 0 auto; min-width: 320px; max-width: 640px; overflow-wrap: break-word; word-wrap: break-word; word-break: break-word; background-color: #f6f6f6;">
        <div style="border-collapse: collapse;display: table;width: 100%;background-color:#f6f6f6;">
            <table style="margin-left: 10px; width: 97%; font-family: {{api_env('EMAILS_FONT')}}, sans-serif;">
                <tr>
                    <td>
                        <table>
                            <tr>
                                <td>
                                    <p style="color:{{api_env('EMAILS_COLOR_SECONDARY')}};font-size:30px;" ><b>VOTRE COVOITURAGE EST CONFIRMÉ !</b></p>
                                    <hr>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td>
                        <table style="width:100%;">
                            <tr>
                                <td style="width:70%">
                                    <p>Bonjour <b style="color:{{api_env('EMAILS_COLOR_PRIMARY')}}"> {{recipient.givenName|capitalize}} {{recipient.shortFamilyName|capitalize}}</b></p>
                                    <p>Votre covoiturage avec<b style="color:{{api_env('EMAILS_COLOR_PRIMARY')}}"> {{sender.givenName|capitalize}} {{sender.shortFamilyName|capitalize}}</b> est confirmé!</p>
                                    <p>Pour profiter de primes (employeur, Prime Covoiturage CEE, ...), il faut certifier les prise en charge et dépose de ce trajet depuis "Mes covoiturages acceptés" dans votre application mobile.</p>                                  

                                    {% if ad.results[0].frequency == 1 %}
                                        <p>Récapitulatif de votre trajet occasionnel du <b style="color:{{api_env('EMAILS_COLOR_PRIMARY')}}">{{ ad.results[0].date|date("d/m/Y") }}</b>:</p>
                                    {% else %}
                                        <p>Récapitulatif de votre trajet régulier du <b style="color:{{api_env('EMAILS_COLOR_PRIMARY')}}">{{ ad.results[0].startDate|date("d/m/Y") }}</b> au <b style="color:{{api_env('EMAILS_COLOR_PRIMARY')}}">{{ ad.results[0].toDate|date("d/m/Y") }}</b> :</p>
                                    {% endif %}
                                </td>
                                <td style="width:30%">
                                    <img  style="border-radius:50px" src="{{sender.avatars[0]}}" alt="Avatar"/>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td>
                        <table  style="width:70%;background-color:{{api_env('EMAILS_COLOR_PRIMARY_LIGHT')}};margin-top:5px;margin-bottom:5px;margin-left:5px">
                            <tr>
                                <td style="width:10%;text-align:left">
                                    <img src="{{api_env('EMAILS_PLATFORM_URL')}}{{api_env('EMAILS_IMAGES_BASE_URL')}}{{api_env('EMAILS_WAY_LOGO')}}" alt="trajet"/>
                                </td>
                                <td style="width:90%;text-align:left">
                                    <p><b style="color:{{api_env('EMAILS_COLOR_PRIMARY')}}">{{ outwardOrigin.address.displayLabel[0] }}</b></p>
                                    <p><b style="color:{{api_env('EMAILS_COLOR_PRIMARY')}}"> {{ outwardDestination.address.displayLabel[0] }}</b></p>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                {% if ad.results[0].frequency == 2 %}
                <tr>
                    <td>
                        <table  style="width:100%;">
                            <tr>
                                <td style="width:100%">
                                    <table>
                                        <tr>
                                            <td>
                                                {% if result.outward.monCheck %}
                                                    <div style="background-image:url('{{api_env('EMAILS_PLATFORM_URL')}}{{api_env('EMAILS_IMAGES_BASE_URL')}}{{api_env('EMAILS_DAY_DARK')}}');background-repeat:no-repeat;width:42px;height:42px;position:relative;top:50%;padding-top:25%;padding-left:25%;"><span style="position:absolute;color:black;"><strong>Lu</strong></span></div>
                                                {% else %}
                                                    <div style="background-image:url('{{api_env('EMAILS_PLATFORM_URL')}}{{api_env('EMAILS_IMAGES_BASE_URL')}}{{api_env('EMAILS_DAY_LIGHT')}}');background-repeat:no-repeat;width:42px;height:42px;position:relative;top:50%;padding-top:25%;padding-left:25%;"><span style="position:absolute;color:black;font-style:italic;">Lu</span></div>
                                                {% endif %}
                                            </td>
                                            <td>
                                                {% if result.outward.tueCheck %}
                                                    <div style="background-image:url('{{api_env('EMAILS_PLATFORM_URL')}}{{api_env('EMAILS_IMAGES_BASE_URL')}}{{api_env('EMAILS_DAY_DARK')}}');background-repeat:no-repeat;width:42px;height:42px;position:relative;top:50%;padding-top:25%;padding-left:25%;"><span style="position:absolute;color:black;"><strong>Ma</strong></span></div>
                                                {% else %}
                                                    <div style="background-image:url('{{api_env('EMAILS_PLATFORM_URL')}}{{api_env('EMAILS_IMAGES_BASE_URL')}}{{api_env('EMAILS_DAY_LIGHT')}}');background-repeat:no-repeat;width:42px;height:42px;position:relative;top:50%;padding-top:25%;padding-left:25%;"><span style="position:absolute;color:black;font-style:italic;">Ma</span></div>
                                                {% endif %} 
                                            </td>
                                            <td>
                                                {% if result.outward.wedCheck %}
                                                    <div style="background-image:url('{{api_env('EMAILS_PLATFORM_URL')}}{{api_env('EMAILS_IMAGES_BASE_URL')}}{{api_env('EMAILS_DAY_DARK')}}');background-repeat:no-repeat;width:42px;height:42px;position:relative;top:50%;padding-top:25%;padding-left:25%;"><span style="position:absolute;color:black;"><strong>Me</strong></span></div>
                                                {% else %}
                                                    <div style="background-image:url('{{api_env('EMAILS_PLATFORM_URL')}}{{api_env('EMAILS_IMAGES_BASE_URL')}}{{api_env('EMAILS_DAY_LIGHT')}}');background-repeat:no-repeat;width:42px;height:42px;position:relative;top:50%;padding-top:25%;padding-left:25%;"><span style="position:absolute;color:black;font-style:italic;">Me</span></div>
                                                {% endif %} 
                                            </td>
                                            <td>
                                                {% if result.outward.thuCheck %}
                                                    <div style="background-image:url('{{api_env('EMAILS_PLATFORM_URL')}}{{api_env('EMAILS_IMAGES_BASE_URL')}}{{api_env('EMAILS_DAY_DARK')}}');background-repeat:no-repeat;width:42px;height:42px;position:relative;top:50%;padding-top:25%;padding-left:25%;"><span style="position:absolute;color:black;"><strong>Je</strong></span></div>
                                                {% else %}
                                                    <div style="background-image:url('{{api_env('EMAILS_PLATFORM_URL')}}{{api_env('EMAILS_IMAGES_BASE_URL')}}{{api_env('EMAILS_DAY_LIGHT')}}');background-repeat:no-repeat;width:42px;height:42px;position:relative;top:50%;padding-top:25%;padding-left:25%;"><span style="position:absolute;color:black;font-style:italic;">Je</span></div>
                                                {% endif %} 
                                            </td>
                                            <td>
                                                {% if result.outward.friCheck %}
                                                    <div style="background-image:url('{{api_env('EMAILS_PLATFORM_URL')}}{{api_env('EMAILS_IMAGES_BASE_URL')}}{{api_env('EMAILS_DAY_DARK')}}');background-repeat:no-repeat;width:42px;height:42px;position:relative;top:50%;padding-top:25%;padding-left:25%;"><span style="position:absolute;color:black;"><strong>Ve</strong></span></div>
                                                {% else %}
                                                    <div style="background-image:url('{{api_env('EMAILS_PLATFORM_URL')}}{{api_env('EMAILS_IMAGES_BASE_URL')}}{{api_env('EMAILS_DAY_LIGHT')}}');background-repeat:no-repeat;width:42px;height:42px;position:relative;top:50%;padding-top:25%;padding-left:25%;"><span style="position:absolute;color:black;font-style:italic;">Ve</span></div>
                                                {% endif %} 
                                            </td>
                                            <td>
                                                {% if result.outward.satCheck %}
                                                    <div style="background-image:url('{{api_env('EMAILS_PLATFORM_URL')}}{{api_env('EMAILS_IMAGES_BASE_URL')}}{{api_env('EMAILS_DAY_DARK')}}');background-repeat:no-repeat;width:42px;height:42px;position:relative;top:50%;padding-top:25%;padding-left:25%;"><span style="position:absolute;color:black;"><strong>Sa</strong></span></div>
                                                {% else %}
                                                    <div style="background-image:url('{{api_env('EMAILS_PLATFORM_URL')}}{{api_env('EMAILS_IMAGES_BASE_URL')}}{{api_env('EMAILS_DAY_LIGHT')}}');background-repeat:no-repeat;width:42px;height:42px;position:relative;top:50%;padding-top:25%;padding-left:25%;"><span style="position:absolute;color:black;font-style:italic;">Sa</span></div>
                                                {% endif %} 
                                            </td>
                                            <td>
                                                {% if result.outward.sunCheck %}
                                                    <div style="background-image:url('{{api_env('EMAILS_PLATFORM_URL')}}{{api_env('EMAILS_IMAGES_BASE_URL')}}{{api_env('EMAILS_DAY_DARK')}}');background-repeat:no-repeat;width:42px;height:42px;position:relative;top:50%;padding-top:25%;padding-left:25%;"><span style="position:absolute;color:black;"><strong>Di</strong></span></div>
                                                {% else %}
                                                    <div style="background-image:url('{{api_env('EMAILS_PLATFORM_URL')}}{{api_env('EMAILS_IMAGES_BASE_URL')}}{{api_env('EMAILS_DAY_LIGHT')}}');background-repeat:no-repeat;width:42px;height:42px;position:relative;top:50%;padding-top:25%;padding-left:25%;"><span style="position:absolute;color:black;font-style:italic;">Di</span></div>
                                                {% endif %}     
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                {% endif %}
                <tr>
                    <td>
                        <table  style="width:100%;">
                            <tr>
                                {% if result.outward %}
                                    <td >
                                        <p style="color:{{api_env('EMAILS_COLOR_ACCENT')}}"><b>ALLER</b></p>
                                    </td>
                                {% endif %}
                                <td>
                                    &nbsp;
                                </td>
                                {% if result.return %}
                                    <td >
                                        <p style="color:{{api_env('EMAILS_COLOR_ACCENT')}}"><b>RETOUR</b></p>
                                    </td>
                                {% endif %}
                            </tr>
                            <tr>
                                {% if result.outward %}
                                    <td>
                                        {% if result.outward.multipleTimes %}
                                        <p><b style="color:{{api_env('EMAILS_COLOR_PRIMARY')}}">Horaires multiples</b></p>
                                    {% else %}
                                        <p>Prise en charge à <b style="color:{{api_env('EMAILS_COLOR_PRIMARY')}}">{{outwardOrigin.time|date('H:i')}}</b></p>
                                        <p>Dépose à <b style="color:{{api_env('EMAILS_COLOR_PRIMARY')}}">{{outwardDestination.time|date('H:i')}}</b></p>
                                    {% endif %}
                                    </td>
                                {% endif %}
                                <td>
                                    &nbsp;
                                </td>
                                {% if result.return %}
                                    <td>
                                        {% if result.return.multipleTimes %}
                                            <p><b style="color:{{api_env('EMAILS_COLOR_PRIMARY')}}">Horaires multiples</b></p>
                                        {% else %}
                                            <p>Prise en charge à <b style="color:{{api_env('EMAILS_COLOR_PRIMARY')}}">{{returnOrigin.time|date('H:i')}}</b></p>
                                            <p>Dépose à <b style="color:{{api_env('EMAILS_COLOR_PRIMARY')}}">{{returnDestination.time|date('H:i')}}</b></p>
                                        {% endif %}    
                                    </td>
                                {% endif %}
                            </tr>
                            <hr>
                        </table>
                    </td>
                </tr>

                <tr>
                    <td>
                        <table  style="width:100%;">
                            <tr>
                                <td style="width:100%">
                                    <p>Place(s) réservée(s): <b style="color:{{api_env('EMAILS_COLOR_PRIMARY')}}">{{ad.results[0].seats}}</b></p>
                                    <p>Prix indicatif: <b style="color:{{api_env('EMAILS_COLOR_PRIMARY')}}">{{ad.results[0].roundedPrice}}</b></p>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                </hr>
            </table>
        </div>
    </div>
</div>
{% endblock %}    